Loading...
Searching...
No Matches
depth.hpp File Reference
`#include "svn_types_impl.h"`
`#include <cstdint>`
`#include <string>`

Go to the source code of this file.

## Enumerations

enum class | apache::subversion::svnxx::depth : std::int8_t { unknown = svn_depth_unknown , exclude = svn_depth_exclude , empty = svn_depth_empty , files = svn_depth_files , immediates = svn_depth_immediates , infinity = svn_depth_infinity }
| The concept of depth for directories (see svn_depth_t). More...

## Functions

std::string | apache::subversion::svnxx::to_string (depth)
| Converts a depth constant to its string representation.
std::wstring | apache::subversion::svnxx::to_wstring (depth)
| Converts a depth constant to its wide-string representation.
std::u16string | apache::subversion::svnxx::to_u16string (depth)
| Converts a depth constant to its UTF-16 string representation.
std::u32string | apache::subversion::svnxx::to_u32string (depth)
| Converts a depth constant to its UTF-32 string representation.

## Detailed Description

# autotoc_md177

Definition in file depth.hpp.

## Enumeration Type Documentation

## depth

enum class apache::subversion::svnxx::depth : std::int8_t

strong

The concept of depth for directories (see svn_depth_t).

Definition at line 41 of file depth.hpp.

## Function Documentation

## to_string()

std::string apache::subversion::svnxx::to_string | ( | depth |  | ) |

Converts a depth constant to its string representation.

See also
  svn_depth_to_word()

## to_u16string()

std::u16string apache::subversion::svnxx::to_u16string | ( | depth |  | ) |

Converts a depth constant to its UTF-16 string representation.

See also
  svn_depth_to_word()

## to_u32string()

std::u32string apache::subversion::svnxx::to_u32string | ( | depth |  | ) |

Converts a depth constant to its UTF-32 string representation.

See also
  svn_depth_to_word()

## to_wstring()

std::wstring apache::subversion::svnxx::to_wstring | ( | depth |  | ) |

Converts a depth constant to its wide-string representation.

See also
  svn_depth_to_word()